<?
@session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form")) 
	{
	$err="";
	
	$cap_a = trim($_POST['cap']);
	if(!$cap_a)
	$err .= 'Не указан защитный код<br>';
	else
		{
		if($_SESSION['real_code'] != $cap_a)
		$err .= 'Неверно указан защитный код<br>';
		else
			{
			$cap_a = number_format($cap_a,0,"",",");
			$cap_b = $_POST['ip_address'];
			if($cap_a!=$cap_b) $err .= 'Неверно указан защитный код<br>';
			}
		}
	if(isset($_SESSION['real_code'])) unset($_SESSION['real_code']);
	
	$tel=_pre($_POST['tel']);
	$contakt=_pre($_POST['contakt']);
	$email=trim($_POST['email']);

	if($contakt=="") $err = $err."Не указано контактное лицо <br>"; 
	if($email=="") $err = $err."Не указан e-mail <br>"; 
	if(_email($email)==false) $err = $err."Некорректный e-mail<br>";

	$r = mysql_query ("SELECT * FROM akk WHERE email !='' AND email='".$email."'") or die(mysql_error());
	$nr = mysql_num_rows($r);
	if($nr>0) $err = $err."Пользователь с таким e-mail уже зарегистрирован<br>";

	if(trim($_POST['pass'])=="") $err = $err."Введите пароль<br>";
	else $pass=trim(anti($_POST['pass']));

	if ($err=="")
		{
		mysql_query("INSERT INTO akk (akk, email, pass, tel, contakt, blok, id_dostup, data)  VALUES ('".$name."', 
		'".$email."', '".$pass."', '".$tel."', '".$contakt."', '0', '".intval($default_dostup)."', NOW())");
		
		$ins=mysql_insert_id();
		
		$thm="Регистрация";
		$c='Добрый день!<br>
		Спасибо за регистрацию на нашем сайте<br>
		Для активации Вашего аккаунта перейдите по ссылке<br>
		<a href="'.dir_tek().'activ.php?id='.$ins.'&pass='.$pass.'">АКТИВАЦИЯ</a>
		<br>
		<br>
		С уважением, 
		администрация сайта '.$_SERVER['HTTP_HOST'];

		if (@mail_utf8($email, $thm, $c, $rru['email'])) 
			{
			$err = "Ваш пароль: <b><font color=blue>".$pass."</font></b><br>Запомните его или запишите<br>
			На Ваш email было отправлено письмо с кодом активации.<br>
			Для активации Вашего аккаунта перейдите по ссылке, указанной в письме";
			$u=1;
			} 
		else 
			{
			echo "<font color=red>Не удалось отправить письмо на Ваш e-mail</font>";
			mysql_query("DELETE FROM akk WHERE id_akk='".$ins."'");
			}
		} 
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Регистрация</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="robots" content="nofollow" />
<link rel="stylesheet" href="../style/style.css" type="text/css">
<script type="text/javascript" charset="utf-8" src="../js/jquery-1.4.4.min.js"></script>
</head>

<body>
<table width=100%>
	<tr height=64>
		<td width=64>
		<img border=0 src="../icon/8.gif">
		<td align=center><h3>Регистрация</h3>
	<tr>
	<td colspan=2>

<?
if($err) echo "<p><font color=red>".$err."</font></p>";

if($u!=1)
	{
	?>
	<form name="form" method="post" action="<? echo $_SERVER['PHP_SELF']; ?>">
	<table>
		<tr>
			<td align="right"  width="250"><font size=+1 color=red>*</font> Контактное лицо
			<td> <input type="text" name="contakt" value="<? echo trim($_POST['contakt']); ?>">

		<tr>
			<td  align="right" ><font size=+1 color=red>*</font>  Телефон 
			<td> <input type="text" name="tel" value="<? echo trim($_POST['tel']); ?>">

		<tr>
			<td  align="right" ><font size=+1 color=red>*</font>  E-MAIL  
			<td> <input type="text" name="email" value="<? echo trim($_POST['email']); ?>">

		<tr>
 			<td  align="right" ><font size=+1 color=red>*</font>  Пароль 
  			<td><input type="password" name="pass" value="<? echo trim($_POST['pass']); ?>">
		
			
		<tr>
			<td colspan="2" >
			  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			    <? 
			//$font_name[] = array(18, "../blok/new1.ttf"); 
			$font_name[] = array(18, "../blok/new2.ttf"); 
			//$font_name[] = array(20, "../blok/new3.ttf"); 
			//$font_name[] = array(22, "../blok/new4.ttf"); 
			shuffle($font_name);
	
			$m_rand1=1005;
			$m_rand2=9991;
			$cap_img='../tmp_capcha/'.ip2long($_SERVER['REMOTE_ADDR']).'.jpg';
			@mt_srand(time());
			
			$cap_int=mt_rand($m_rand1,$m_rand2);
			$_SESSION['real_code']=$cap_int;
			if($typ_captcha && function_exists('cifr'))
			cifr($cap_int, $cap_img);
			else
				{
				$cap_str=code($cap_int);
				$im=imagecreate(470, 26);
				imagecolorallocate($im,255,255,255);
				$color=imagecolorallocate($im,100,100,100);
				@imagettftext($im, $font_name[0][0], 0, 0, 19, $color, $font_name[0][1], $cap_str);
				imagejpeg($im, $cap_img);
				imagedestroy($im);
				}
			
			echo '<img align="right" border="0" src="'.$cap_img.'?id='.time().'"><br>';
			?>
			<tr>
			<td align="right" >
			<font size=+1 color=red>*</font> Введите защитный код цифрами
			<td>
			<input type="text" name="cap" id="cap" value="">
			<input type="hidden" name="ip_address" id="ip_address" value="<?=$_SERVER['REMOTE_ADDR']?>">
		
		<tr>
			<td  align="right" >  <input class="submit" type="submit" name="Submit" value="Регистрация">
			<td>
			<input type="hidden" name="MM_insert" value="form">
	</table>
	</form>
	<? 
	} 
	?>
</table>
<script type="text/javascript" charset="utf-8" src="../js/tb.js"></script>
</body>
</html>